Skip to content

Take Snapshot

POST
/vector_db/{VectorDB_id}/snapshot/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
VectorDB_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Snapshot creation scheduled successfully

Media typeapplication/json
object
code
integer
message
string
data
object
snapshot_id
integer
snapshot_time
string format: date-time
errors
object

Example

{
"code": 201,
"message": "Snapshot Creation Scheduled.",
"data": {
"snapshot_id": 69,
"snapshot_time": "2024-11-14T06:05:38.802401"
},
"errors": {}
}